ASUS P5GC-MX/1333 主機版內建網路卡(Attansic L2)驅動 in Debian

華碩 P5GC-MX/1333 內建網卡: Attansic L2 Fast Ethernet Adapter PCI Atheros/Attansic l251x86 L2 Fast Ethernet 10/100

這張版子要安裝有點頭痛, 因為預設抓不到網卡, 所以想到是下面兩種方法:

  1. 先把硬碟拿到其它電腦把 Debian 裝好
  2. 先插另一張開機就能抓到的網卡, 再來安裝系統.

在此採用 先到別台機器把 Debian 安裝好, 再依以下步驟先把網卡所需驅動安裝好, 做完以下步驟後再將硬碟接回那塊版子.

  1. apt-get install gcc g++ make
  2. apt-get install linux-headers-2.6.18-6-686 # RAM 超過 2G 請裝 linux-headers-2.6.18-6-686-bigmem
  3. mount /dev/cdrom /media/cdrom # 將華碩附的主機版驅動光碟放入光碟機(華碩本身有附上驅動程式, 就很方便囉~)
  4. cp /media/cdrom/LinuxDrivers/Lan/Attansic/l2-linux-*.tar.gz /usr/local/src/
  5. cd /usr/local/src/
  6. tar zxvf l2-linux-*.tar.gz
  7. cd l2-linux*/src/
  8. make install
  9. vim /etc/network/interfaces # eth0 改成 eth1

    allow-hotplug eth0
    iface eth0 inet dhcp

    allow-hotplug eth1
    iface eth1 inet dhcp

  10. 這樣子將硬碟接回去就可抓到網卡了, 如果是要 pppoe 連接的, 記得要安裝 pppoe pppoeconf.

上述的步驟, 我有寫成簡易的 shell script, 可以參考著用:

  • install_atl2.sh # 第一次安裝時用
  • update_atl2.sh # 如果 kernel 有升級的話, 還是有抓不到網卡的狀況, 請修改此 script 的 uname -r, 改成最新版的 kernel 編號, 然後再開機進舊版 kernel(網路能通的 kernel), 執行此 script.

PS: 建議最佳解法, 買張網卡搞定比較快... XD

感謝 shadow 提供的快速解法

  1. http://people.redhat.com/csnook/atl2/
  2. 找到 atl2-2.0.4.tar.bz2 (或直接 http://people.redhat.com/csnook/atl2/atl2-2.0.4.tar.bz2 下載)
  3. 直接抓下來 make
  4. 再 insmod atl2.ko 就可以動了
  5. kernel version 2.6.24.4

其它相關網頁

作者: Tsung

對新奇的事物都很有興趣, 喜歡簡單的東西, 過簡單的生活.

在〈ASUS P5GC-MX/1333 主機版內建網路卡(Attansic L2)驅動 in Debian〉中有 19 則留言

  1. 您好
    我想詢問make的時候出現錯誤,顯示
    lib/modules/2.6.21.7/build: 沒有此一檔案和目錄
    請問要如何解決呢?感謝

  2. 你能不能跟我說你用的環境是什麼?
    因為這樣子似乎沒有解法...
    主要是找到自己的版本的 headers, 然後 apt-get install xxx 就可以了~ 🙂

  3. 厄, 他是說 kernel source 的 config.h 找不到, 然後 kernel source 就是剛剛說那個裝上去就該要有了.
    再來的, 我就不知道該怎麼做了耶.. Q_Qa..
    因為我沒在用 B2D, 不知道該怎麼辦了.. Orz..

  4. 沒關係 感謝您
    我可否問您個問題
    我升級核心 但是有一步出錯,有關系嗎?
    這個步驟出錯:
    正確應該是這樣
    選中了曾被取消選擇的套件 cloop-module-2.6.16.19。
    (正在讀取資料庫 ... 系統目前總共安裝有 150791 個檔案和目錄。)
    正在解壓縮 cloop-module-2.6.16.19 (從 cloop-module-2.6.16.19_2.02.1+eb.10+b2d_i386.deb) ...
    正在設定 cloop-module-2.6.16.19 (2.02.1+eb.10+b2d) ...
    但是我出現 not 之類的語句

  5. 這..... 我不確定有沒有關係, 但是我發現到的是你的版本不一致.
    kernel source 要用的主要是你現在正常開機, 而且就是這次開機用的 kernel 版本.
    uname -r 可以知道 kernel 版本~

發表迴響

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料